<template>
  <v-container class="ma-0 pa-0" grid-list-sm>
    <v-subheader> Orders Page </v-subheader>
    <v-layout wrap>
      <!-- <blog-item-component
        v-for="blog in blogs"
        :key="`blog-` + blog.id"
        :blog="blog"
      >
      </blog-item-component> -->

      <v-simple-table>
        <template>
          <thead>
            <tr>
              <th class="text-left">Nama</th>
              <th class="text-left">Harga</th>
              <th class="text-left">Stok</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="product in products" :key="product.name">
              <!-- <tr> -->
              <td>{{ product.name }}</td>
              <td>{{ product.price }}</td>
              <td>{{ product.quantity }}</td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </v-layout>

    <!-- <v-pagination
      v-model="page"
      @input="go"
      :length="lengthPage"
      :total-visible="perPage"
    >
    </v-pagination> -->
  </v-container>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  data: () => ({
    apiDomain: "http://127.0.0.1:8000",
    products: [],
  }),

  methods: {
    go() {
      const config = {
        method: "get",
        // url: this.apiDomain + "/api/v2/blog?page=" + this.page,
        url: this.apiDomain + "/api/product",
        headers: {
          Authorization: "Bearer " + this.token,
        },
      };

      this.axios(config)
        .then((response) => {
          console.log(response.data.data);
          this.products = response.data.data;
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },

  computed: {
    ...mapGetters({
      guest: "auth/guest",
      user: "auth/user",
      token: "auth/token",
    }),
  },

  created() {
    this.go();
  },
};
</script>